# Poco::Zip

# class ZipInputStream

Library: Zip
Package: Zip
Header: Poco/Zip/ZipStream.h

## Description

This stream copies all characters read through it to one or multiple output streams.

## Inheritance

Direct Base Classes: ZipIOS, std::istream

All Base Classes: ZipIOS, std::ios, std::istream

## Member Summary

Member Functions: crcValid

Inherited Functions: rdbuf

## Constructors

### ZipInputStream

ZipInputStream(
std::istream & istr,
const ZipLocalFileHeader & fileEntry,
bool reposition = true
);

Creates the ZipInputStream and connects it to the given input stream.

## Destructor

### ~ZipInputStream

~ZipInputStream();

Destroys the ZipInputStream.

## Member Functions

### crcValid

bool crcValid() const;

Call this method once all bytes were read from the input stream to determine if the CRC is valid